Subject: [lojban] Re: Suggestions Sought: NORALUJV and jbovlaste

From: Robin Lee Powell <[email-masked]>
Date: Thu, 13 Mar 2003 11:50:47 -0800

On Thu, Mar 13, 2003 at 03:00:46PM +0100, Arnt Richard Johansen wrote:
> On Wed, 12 Mar 2003, Robin Lee Powell wrote:
> > NORALUJV cannot usefully be loaded into jbovlaste, because the
> > definition format in no way resembles the lojbanic standard.? For
> > example:
> >
> > fazyta'a??????????????? annoy+talk
> > fanza+tavla:? chatter:?? x1 = tavla1 (talk) = fanza 1 (pest), x2 = tavla2
> > (talked to), x3 = tavla3 (talk subject), x4 = tavla4 (talk language), x5
> > =
> > fanza2 (annoyed)
> >
> > So, I'm seeking advice on ways to make this easier.?
> >
> > Possible Options:
> 
> Other options, in ascending order of manularity:
> 
> 1. The lujvo list is imported into Jbovlaste as-is, except that the
> place structure is reduced into gismu abbreviations. For the example
> above, this would yield the definition "chatter: $t_1=f_1$ $t_2$ $t_3$
> $t_5$ $f_2$" This is what was done in Veijo's 1993 TeX dictionary, and
> is IMHO perfectly understandable for most lojbanists. 

Boy, xorxes will *love* that. 8)

> The downside of choosing this solution is that all the lujvo from
> NORALUJV.TXT, which will be the majority, will appear less clearly
> defined than those newly entered into Jbovlaste. But, confusing
> entries could easily be changed to the newer, verbose place definition
> format just by entering an alternative definition and having it voted
> on.

<nod>

> 2. The lujvo definition is constructed algorithmically on the basis of
> the place definitions in the gismu list. For the example above, this
> would yield the definition "$t_1=f_1$ is chatter to $t_2$ about
> subject $t_3$ in language $t_4$ $f_2$" This would need a lot of
> cleaning up afterwards, but it would work out-of-the-box for many, if
> not most, lujvo. I think I could check and rewrite maybe 50 - 100 such
> entries if they were in a flat file; slightly less so if in a web
> interface.

<nod> I don't know how one would actually do that, to be honest. I
suppose I could make use of jbofi'e's place definitions.

> 3. All the words and gloss words from NORALUJV.TXT are auto-entered,
> but with the definition field left blank. If some dedicated soul(s)
> find that any of them are inadequate, they can write their own
> (verbose) definitions from NORALUJV.TXT, which will supersede the
> official entry when voted on.

<nod>

-Robin

-- 
http://www.digitalkingdom.org/~rlpowell/ *** I'm a *male* Robin.
.i le pamoi velru'e zo'u crepu le plibu taxfu
.i le remoi velru'e zo'u mo .i le cimoi velru'e zo'u ba'e prali .uisai
http://www.lojban.org/ *** to sa'a cu'u lei pibyta'u cridrnoma toi